/**
 */
package com.masdes.damprofile.profiles.Maintenance.util;

import com.masdes.damprofile.profiles.Core.DaService;
import com.masdes.damprofile.profiles.Core.DaStep;

import com.masdes.damprofile.profiles.Maintenance.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario;
import org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaStep;

import org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.ResourceUsage;

import org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedElement;
import org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedProcessing;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see com.masdes.damprofile.profiles.Maintenance.MaintenancePackage
 * @generated
 */
public class MaintenanceAdapterFactory extends AdapterFactoryImpl {
    /**
     * The cached model package.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected static MaintenancePackage modelPackage;

    /**
     * Creates an instance of the adapter factory.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public MaintenanceAdapterFactory() {
        if (modelPackage == null) {
            modelPackage = MaintenancePackage.eINSTANCE;
        }
    }

    /**
     * Returns whether this factory is applicable for the type of the object.
     * <!-- begin-user-doc -->
     * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
     * <!-- end-user-doc -->
     * @return whether this factory is applicable for the type of the object.
     * @generated
     */
    @Override
    public boolean isFactoryForType(Object object) {
        if (object == modelPackage) {
            return true;
        }
        if (object instanceof EObject) {
            return ((EObject)object).eClass().getEPackage() == modelPackage;
        }
        return false;
    }

    /**
     * The switch that delegates to the <code>createXXX</code> methods.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected MaintenanceSwitch<Adapter> modelSwitch =
        new MaintenanceSwitch<Adapter>() {
            @Override
            public Adapter caseDaReplacementStep(DaReplacementStep object) {
                return createDaReplacementStepAdapter();
            }
            @Override
            public Adapter caseDaActivationStep(DaActivationStep object) {
                return createDaActivationStepAdapter();
            }
            @Override
            public Adapter caseDaAgentGroup(DaAgentGroup object) {
                return createDaAgentGroupAdapter();
            }
            @Override
            public Adapter caseDaReallocationStep(DaReallocationStep object) {
                return createDaReallocationStepAdapter();
            }
            @Override
            public Adapter caseResourceUsage(ResourceUsage object) {
                return createResourceUsageAdapter();
            }
            @Override
            public Adapter caseTimedElement(TimedElement object) {
                return createTimedElementAdapter();
            }
            @Override
            public Adapter caseTimedProcessing(TimedProcessing object) {
                return createTimedProcessingAdapter();
            }
            @Override
            public Adapter caseGaScenario(GaScenario object) {
                return createGaScenarioAdapter();
            }
            @Override
            public Adapter caseDaService(DaService object) {
                return createDaServiceAdapter();
            }
            @Override
            public Adapter caseGaStep(GaStep object) {
                return createGaStepAdapter();
            }
            @Override
            public Adapter caseDaStep(DaStep object) {
                return createDaStepAdapter();
            }
            @Override
            public Adapter defaultCase(EObject object) {
                return createEObjectAdapter();
            }
        };

    /**
     * Creates an adapter for the <code>target</code>.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @param target the object to adapt.
     * @return the adapter for the <code>target</code>.
     * @generated
     */
    @Override
    public Adapter createAdapter(Notifier target) {
        return modelSwitch.doSwitch((EObject)target);
    }


    /**
     * Creates a new adapter for an object of class '{@link com.masdes.damprofile.profiles.Maintenance.DaReplacementStep <em>Da Replacement Step</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see com.masdes.damprofile.profiles.Maintenance.DaReplacementStep
     * @generated
     */
    public Adapter createDaReplacementStepAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link com.masdes.damprofile.profiles.Maintenance.DaActivationStep <em>Da Activation Step</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see com.masdes.damprofile.profiles.Maintenance.DaActivationStep
     * @generated
     */
    public Adapter createDaActivationStepAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link com.masdes.damprofile.profiles.Maintenance.DaAgentGroup <em>Da Agent Group</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see com.masdes.damprofile.profiles.Maintenance.DaAgentGroup
     * @generated
     */
    public Adapter createDaAgentGroupAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link com.masdes.damprofile.profiles.Maintenance.DaReallocationStep <em>Da Reallocation Step</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see com.masdes.damprofile.profiles.Maintenance.DaReallocationStep
     * @generated
     */
    public Adapter createDaReallocationStepAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.ResourceUsage <em>Resource Usage</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.ResourceUsage
     * @generated
     */
    public Adapter createResourceUsageAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedElement <em>Timed Element</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedElement
     * @generated
     */
    public Adapter createTimedElementAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedProcessing <em>Timed Processing</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedProcessing
     * @generated
     */
    public Adapter createTimedProcessingAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario <em>Ga Scenario</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario
     * @generated
     */
    public Adapter createGaScenarioAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link com.masdes.damprofile.profiles.Core.DaService <em>Da Service</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see com.masdes.damprofile.profiles.Core.DaService
     * @generated
     */
    public Adapter createDaServiceAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaStep <em>Ga Step</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaStep
     * @generated
     */
    public Adapter createGaStepAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link com.masdes.damprofile.profiles.Core.DaStep <em>Da Step</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see com.masdes.damprofile.profiles.Core.DaStep
     * @generated
     */
    public Adapter createDaStepAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for the default case.
     * <!-- begin-user-doc -->
     * This default implementation returns null.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @generated
     */
    public Adapter createEObjectAdapter() {
        return null;
    }

} //MaintenanceAdapterFactory
